<?php
/**
 * The template for adding Contact Info Settings in Customizer
 *
 * @package Decree Pro
 */

$wp_customize->add_section( 'decree_contact_info', array(
	'panel'       => 'decree_theme_options',
	'title'       => esc_html__( 'Footer Contact Info', 'decree-pro' ),
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_option]', array(
	'default'           => $defaults['contact_info_option'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_option]', array(
	'choices'  => decree_section_visibility_options(),
	'label'    => esc_html__( 'Enable on', 'decree-pro' ),
	'section'  => 'decree_contact_info',
	'settings' => 'decree_theme_options[contact_info_option]',
	'type'     => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_heading]', array(
	'default'           => $defaults['contact_info_heading'],
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_heading]', array(
	'active_callback' => 'decree_is_contact_info_active',
	'label'           => esc_html__( 'Heading', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_heading]',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_address]', array(
	'default'           => $defaults['contact_info_address'],
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_address]', array(
	'active_callback' => 'decree_is_contact_info_active',
	'label'           => esc_html__( 'Address', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_address]',
	'type'            => 'textarea',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_format_address]', array(
		'default'           => $defaults['contact_info_format_address'],
		'sanitize_callback' => 'decree_sanitize_checkbox',
) );

$wp_customize->add_control(  'decree_theme_options[contact_info_format_address]', array(
	'active_callback' => 'decree_is_contact_info_active',
	'label'           => esc_html__( 'Check to Automatically add paragraphs', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_format_address]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_phone]', array(
	'default'           => $defaults['contact_info_phone'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_phone]' , array(
		'active_callback' => 'decree_is_contact_info_active',
		'description'     => esc_html__( 'Leave field empty remove', 'decree-pro' ),
		'label'           => esc_html__( 'Phone', 'decree-pro' ),
		'section'         => 'decree_contact_info',
		'settings'        => 'decree_theme_options[contact_info_phone]',
	)
);

$wp_customize->add_setting( 'decree_theme_options[contact_info_fax]', array(
	'default'           => $defaults['contact_info_fax'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_fax]' , array(
		'active_callback' => 'decree_is_contact_info_active',
		'description'     => esc_html__( 'Leave field empty to remove', 'decree-pro' ),
		'label'           => esc_html__( 'Fax', 'decree-pro' ),
		'section'         => 'decree_contact_info',
		'settings'        => 'decree_theme_options[contact_info_fax]',
	)
);

$wp_customize->add_setting( 'decree_theme_options[contact_info_email]', array(
	'default'           => $defaults['contact_info_email'],
	'sanitize_callback' => 'sanitize_email',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_email]' , array(
		'active_callback' => 'decree_is_contact_info_active',
		'description'     => esc_html__( 'Leave field empty to remove', 'decree-pro' ),
		'label'           => esc_html__( 'Email', 'decree-pro' ),
		'section'         => 'decree_contact_info',
		'settings'        => 'decree_theme_options[contact_info_email]',
	)
);

$wp_customize->add_setting( 'decree_theme_options[contact_info_enable_social]', array(
		'default'           => $defaults['contact_info_enable_social'],
		'sanitize_callback' => 'decree_sanitize_checkbox',
) );

$wp_customize->add_control(  'decree_theme_options[contact_info_enable_social]', array(
	'active_callback' => 'decree_is_contact_info_active',
	'label'           => esc_html__( 'Check to Enable Social Icons', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_enable_social]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_social_heading]', array(
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_social_heading]', array(
	'active_callback' => 'decree_is_contact_info_active',
	'label'           => esc_html__( 'Social Icons Heading', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_social_heading]',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_bg]', array(
	'default'           => $defaults['contact_info_bg'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_bg]' , array(
		'active_callback' => 'decree_is_contact_info_active',
		'label'           => esc_html__( 'Background', 'decree-pro' ),
		'section'         => 'decree_contact_info',
		'settings'        => 'decree_theme_options[contact_info_bg]',
		'type'            => 'select',
		'choices'         => decree_contact_info_bg(),
	)
);

$wp_customize->add_setting( 'decree_theme_options[contact_info_image]', array(
	'default'           => $defaults['contact_info_image'],
	'sanitize_callback'	=> 'decree_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'decree_theme_options[contact_info_image]' , array(
	'active_callback' => 'decree_is_contact_info_image_active',
	'label'           => esc_html__( 'Image', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_image]',
) ) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_code]', array(
	'sanitize_callback'	=> 'wp_kses_stripslashes',
) );

$wp_customize->add_control( 'decree_theme_options[contact_info_code]', array(
	'active_callback' => 'decree_is_contact_info_code_active',
	'label'           => esc_html__( 'Embed Code', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_code]',
	'type'            => 'textarea',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_link_text]', array(
	'default'           => $defaults['contact_info_link_text'],
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control(  'decree_theme_options[contact_info_link_text]', array(
	'active_callback' => 'decree_is_contact_info_image_active',
	'label'           => esc_html__( 'Button Label', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_link_text]',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_link]', array(
	'default'           => $defaults['contact_info_link'],
	'sanitize_callback'	=> 'esc_url_raw',
) );

$wp_customize->add_control(  'decree_theme_options[contact_info_link]', array(
	'active_callback' => 'decree_is_contact_info_image_active',
	'label'           => esc_html__( 'Button Link', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_link]',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_info_target]', array(
	'default'           => $defaults['contact_info_target'],
	'sanitize_callback'	=> 'decree_sanitize_checkbox',
) );

$wp_customize->add_control(  'decree_theme_options[contact_info_target]', array(
	'active_callback' => 'decree_is_contact_info_image_active',
	'label'           => esc_html__( 'Check to Open Link in New Window/Tab', 'decree-pro' ),
	'section'         => 'decree_contact_info',
	'settings'        => 'decree_theme_options[contact_info_target]',
	'type'            => 'checkbox',
) );
