<?php
/**
 * The template for displaying Team
 *
 * @package Decree Pro
 */



if ( ! function_exists( 'decree_team_display' ) ) :
/**
* Add Featured content.
*
* @uses action hook decree_before_content.
*
* @since Decree Pro 1.0
*/
function decree_team_display() {
	//decree_flush_transients();
	// get data value from options
	$options        = decree_get_theme_options();
	$enable_content = $options['team_option'];
	$content_select = $options['team_type'];

	if ( decree_check_section( $enable_content ) ) {
		if ( ( !$output = get_transient( 'decree_team' ) ) ) {
			$layouts 	 = $options['team_layout'];
			$headline 	 = $options['team_headline'];
			$subheadline = $options['team_subheadline'];

			echo '<!-- refreshing cache -->';

			if ( ! empty( $layouts ) ) {
				$classes = $layouts ;
			}

			$classes .= ' ' . $content_select ;

			if ( 'demo' === $content_select ) {
				$headline    = esc_html__( 'Team', 'decree-pro' );
				$subheadline = esc_html__( 'Here you can showcase the x number of team members.', 'decree-pro' );
			}

			if ( '1' === $options['team_position'] ) {
				$classes .= ' border-top' ;
			}

			$output ='
				<div id="team-section" class="sections ' . $classes . '">
					<div class="wrapper">';
						if ( ! empty( $headline ) || ! empty( $subheadline ) ) {
							$output .= '<div class="section-heading-wrap">';
								if ( ! empty( $headline ) ) {
									$output .= '<div class="entry-header">
										<h2 class="section-title entry-title">' . wp_kses_post( $headline ) . '</h2>
										</div>
									';
								}
								if ( ! empty( $subheadline ) ) {
									$output .= '<p>' . wp_kses_post( $subheadline ) . '</p>';
								}
							$output .= '</div><!-- .heading-wrap -->';
						}
						$output .= '
						<div class="section-content-wrap">';
							// Select content
							if ( 'demo' === $content_select ) {
								$output .= decree_demo_team( $options );
							}
							elseif ( 'post' === $content_select || 'page' === $content_select || 'category' === $content_select ) {
								$output .= decree_post_page_category_team( $options );
							}
							elseif ( 'image' === $content_select ) {
								$output .= decree_image_team( $options );
							}

			$output .= '
						</div><!-- .section-content-wrap -->
					</div><!-- .wrapper -->
				</div><!-- #team-section -->';

			set_transient( 'decree_team', $output, 86940 );
		}
	echo $output;
	}
}
endif;


if ( ! function_exists( 'decree_team_display_position' ) ) :
/**
 * Homepage Team Position
 *
 * @action decree_content, decree_after_secondary
 *
 * @since Decree Pro 1.0
 */
function decree_team_display_position() {
	// Getting data from Theme Options
	$options = decree_get_theme_options();

	if ( $options['team_position'] ) {
		add_action( 'decree_after_content', 'decree_team_display', 80 );
	}
	else {
		add_action( 'decree_before_content', 'decree_team_display', 90 );
	}
}
endif; // decree_team_display_position
add_action( 'decree_before', 'decree_team_display_position' );


if ( ! function_exists( 'decree_demo_team' ) ) :
/**
 * This function to display featured posts content
 *
 * @get the data value from customizer options
 *
 * @since Decree Pro 1.0
 *
 */
function decree_demo_team( $options ) {
	$output = '
		<article id="featured-team-1" class="post hentry post-demo">
			<figure class="featured-content-image">
				<a href="#">
					<img alt="Sam Chow" class="wp-post-image" src="' . trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/team1-480x480.jpg" />
				</a>
			</figure>
			<div class="entry-container">
				<header class="entry-header">
					<h2 class="entry-title"><a href="#">Sam Chow</a></h2>
				</header>
				<div class="entry-summary">
					<p>You can edit/enable/disable Team section from "Appearnace - Customize - Theme Options - Team." <span class="more-button"><a class="button-minimal" href="#">Read More ...</a></span></p>
				</div><!-- .entry-summary -->
			</div><!-- .entry-container -->
		</article>

		<article id="featured-team-2" class="post hentry post-demo">
			<figure class="featured-content-image">
				<a href="#">
					<img alt="James Johan" class="wp-post-image" src="' . trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/team2-480x480.jpg" />
				</a>
			</figure>
			<div class="entry-container">
				<header class="entry-header">
					<h2 class="entry-title"><a href="#">James Johan</a></h2>
				</header>
				<div class="entry-summary">
					<p>You can edit/enable/disable Team section from "Appearnace - Customize - Theme Options - Team." <span class="more-button"><a class="button-minimal" href="#">Read More ...</a></span></p>
				</div><!-- .entry-summary -->
			</div><!-- .entry-container -->
		</article>

		<article id="featured-team-3" class="post hentry post-demo">
			<figure class="featured-content-image">
				<a href="#">
					<img alt="Julie Andrews" class="wp-post-image" src="' . trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/team3-480x480.jpg" />
				</a>
			</figure>
			<div class="entry-container">
				<header class="entry-header">
					<h2 class="entry-title"><a href="#">Julie Andrews</a></h2>
				</header>
				<div class="entry-summary">
					<p>You can edit/enable/disable Team section from "Appearnace - Customize - Theme Options - Team." <span class="more-button"><a class="button-minimal" href="#">Read More ...</a></span></p>
				</div><!-- .entry-summary -->
			</div><!-- .entry-container -->
		</article>';

	if ( 'four-columns' === $options['team_layout'] ) {
		$output .= '
		<article id="featured-team-4" class="post hentry post-demo">
			<figure class="featured-content-image">
				<a href="#">
					<img alt="Jessica Tandy" class="wp-post-image" src="' . trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/team4-480x480.jpg" />
				</a>
			</figure>
			<div class="entry-container">
				<header class="entry-header">
					<h2 class="entry-title"><a href="#">Jessica Tandy</a></h2>
				</header>
				<div class="entry-summary">
					<p>You can edit/enable/disable Team section from "Appearnace - Customize - Theme Options - Team." <span class="more-button"><a class="button-minimal" href="#">Read More ...</a></span></p>
				</div><!-- .entry-summary -->
			</div><!-- .entry-container -->
		</article>';
	}

	return $output;
}
endif; // decree_demo_team


if ( ! function_exists( 'decree_post_page_category_team' ) ) :
/**
 * This function to display featured posts content
 *
 * @param $options: decree_theme_options from customizer
 *
 * @since Decree Pro 1.0
 */
function decree_post_page_category_team( $options ) {
	global $post;

	$quantity   = $options['team_number'];
	$no_of_post = 0; // for number of posts
	$post_list  = array();// list of valid post/page ids
	$type       = $options['team_type'];
	$layouts    = 3;

	$output     = '';

	if ( 'layout-four' === $options['team_layout'] ) {
		$layouts = 4;
	}

	$args = array(
		'ignore_sticky_posts' => 1 // ignore sticky posts
	);

	//Get valid number of posts
	if ( 'post' === $type || 'page' === $type  ) {
		if( 'page' === $type ) {
			$args['post_type'] = 'page';
		}

		for ( $i = 1; $i <= $quantity; $i++ ) {
			$post_id = '';

			if ( 'post' === $type ) {
				$post_id = isset( $options['team_post_' . $i] ) ? $options['team_post_' . $i] : false;
			}
			elseif ( 'page' === $type ) {
				$post_id = isset( $options['team_page_' . $i] ) ? $options['team_page_' . $i] : false;
			}

			if ( $post_id && '' !== $post_id ) {
				// Polylang Support.
				if ( class_exists( 'Polylang' ) ) {
					$post_id = pll_get_post( $post_id, pll_current_language() );
				}

				$post_list = array_merge( $post_list, array( $post_id ) );

				$no_of_post++;
			}
		}

		$args['post__in'] = $post_list;
		$args['orderby'] = 'post__in';
	}
	elseif ( 'category' === $type ) {
		$no_of_post = $quantity;

		if ( ! empty( $options['team_select_category'] ) ) {
			$args['category__in'] = $options['team_select_category'];
		}

		$args['post_type'] = 'post';
	}

	if ( 0 === $no_of_post ) {
		return;
	}

	$args['posts_per_page'] = $no_of_post;

	$loop = new WP_Query( $args );

	$i = 0;
	while ( $loop->have_posts() ) {

		$loop->the_post();

		$i++;

		$title_attribute = the_title_attribute( 'echo=0' );

		$output .= '
			<article id="featured-team-' . $i . '" class="post hentry post">';

			//Default value if there is no first image
			$image = '<img class="wp-post-image" src="' . trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/no-featured-image-480x480.jpg" >';

			if ( has_post_thumbnail() ) {
				$image = get_the_post_thumbnail( $post->ID, 'post-thumbnail', array( 'title' => $title_attribute, 'alt' => $title_attribute ) );
			}
			else {
				//Get the first image in page, returns false if there is no image
				$first_image = decree_get_first_image( $post->ID, 'post-thumbnail', array( 'title' => $title_attribute, 'alt' => $title_attribute ) );

				//Set value of image as first image if there is an image present in the page
				if ( $first_image ) {
					$image = $first_image;
				}
			}

			$output .= '
				<figure class="featured-content-image">
					<a href="' . esc_url( get_permalink() ) . '" title="' . $title_attribute . '">
					'. $image . '
					</a>
				</figure>';

			if ( $options['team_enable_title'] || 'hide-content' !== $options['team_show'] ) {
			$output .= '
				<div class="entry-container">';
				if ( $options['team_enable_title'] ) {
					$output .= '
						<header class="entry-header">
							<h2 class="entry-title">
								<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . the_title( '','', false ) . '</a>
							</h2>
						</header>';
				}

				if ( 'excerpt' === $options['team_show'] ) {
					//Show Excerpt
					$output .= '<div class="entry-summary"><p>' . get_the_excerpt() . '</p></div><!-- .entry-summary -->';
				}
				elseif ( 'full-content' === $options['team_show'] ) {
					//Show Content
					$content = apply_filters( 'the_content', get_the_content() );
					$content = str_replace( ']]>', ']]&gt;', $content );
					$output .= '<div class="entry-content">' . wp_kses_post( $content ) . '</div><!-- .entry-content -->';
				}
			}
			$output .= '
			</article><!-- .featured-team-' . $i . ' -->';
		} //endwhile

	wp_reset_postdata();

	return $output;
}
endif; // decree_post_page_category_team


if ( ! function_exists( 'decree_image_team' ) ) :
/**
 * This function to display featured posts content
 *
 * @get the data value from theme options
 * @displays on the index
 *
 * @useage Featured Image, Title and Excerpt of Post
 *
 * @uses set_transient
 *
 * @since Decree Pro 1.0
 */
function decree_image_team( $options ) {
	$quantity = $options['team_number'];
	$layouts  = 3;

	if ( 'layout-four' === $options['team_layout'] ) {
		$layouts = 4;
	}

	$output = '';

	for ( $i = 1; $i <= $quantity; $i++ ) {
		if ( ! empty( $options[ 'team_target_' . $i ] ) ) {
			$target = '_blank';
		} else {
			$target = '_self';
		}

		//Checking Link
		if ( ! empty( $options[ 'team_link_' . $i ] ) ) {
			//support qTranslate plugin
			if ( function_exists( 'qtrans_convertURL' ) ) {
				$link = qtrans_convertURL(  $options[ 'team_link_' . $i ] );
			}
			else {
				$link =  esc_url( $options[ 'team_link_' . $i ] );
			}
		}
		else {
			$link = '#';
		}

		//Checking Title
		if ( ! empty( $options[ 'team_title_'. $i ] ) ) {
			$title = esc_attr( $options[ 'team_title_'. $i ] );
		}
		else {
			$title = '';
		}

		//Checking Content
		if ( ! empty( $options[ 'team_content_'. $i ] ) ) {
			$content = $options[ 'team_content_'. $i ];
		}
		else {
			$content = '';
		}

		$output .= '
			<article id="featured-post-'.$i.'" class="post hentry image">';
				if ( ! empty( $options[ 'team_image_' . $i ] ) ) {
					$output .= '
					<figure class="featured-content-image">
						<a title="' . esc_attr( $title ) . '" href="' . esc_url( $link ) . '" target="' . $target . '">
							<img src="' . esc_url( $options[ 'team_image_' . $i ] ) . '" class="wp-post-image" alt="' . esc_attr( $title ) . '" title="' . esc_attr( $title ) . '">
						</a>
					</figure>';
				}
				if ( '' !== $title || '' !== $content ) {
					$output .= '
					<div class="entry-container">';
						if ( '' !== $title  ) {
							$output .= '
							<header class="entry-header">
								<h2 class="entry-title">
									<a title="' . esc_attr( $title ) . '" href="' . esc_url( $link ) . '" target="' . $target . '">' . $title . '</a>
								</h2>
							</header>';
						}
						if (  $content!='' ) {
							$output .= '
							<div class="entry-content">
								' . $content . '
							</div>';
						}
					$output .= '
					</div><!-- .entry-container -->';
				}
			$output .= '
			</article><!-- .featured-post-'.$i.' -->';
	}
	return $output;
}
endif; //decree_image_team
